# Enum Class VulkanDescriptorPoolCreateFlag

java.lang.Object
java.lang.Enum<VulkanDescriptorPoolCreateFlag>
com.io7m.jcoronado.api.VulkanDescriptorPoolCreateFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanDescriptorPoolCreateFlag>`, `Constable`

public enum VulkanDescriptorPoolCreateFlag extends Enum<VulkanDescriptorPoolCreateFlag> implements VulkanEnumBitmaskType
Flags specifying certain supported operations on a descriptor pool

See Also:
  - "VkDescriptorPoolCreateFlagBits"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_DESCRIPTOR_POOL_CREATE_FREE_DESCRIPTOR_SET_BIT`
  Specifies that descriptor sets can return their individual allocations to the pool, i.e.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanDescriptorPoolCreateFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanDescriptorPoolCreateFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_DESCRIPTOR_POOL_CREATE_FREE_DESCRIPTOR_SET_BIT

    public static final VulkanDescriptorPoolCreateFlag VK_DESCRIPTOR_POOL_CREATE_FREE_DESCRIPTOR_SET_BIT
    Specifies that descriptor sets can return their individual allocations to the pool, i.e. all of vkAllocateDescriptorSets, vkFreeDescriptorSets, and vkResetDescriptorPool are allowed. Otherwise, descriptor sets allocated from the pool must not be individually freed back to the pool, i.e. only vkAllocateDescriptorSets and vkResetDescriptorPool are allowed.

- ## Method Details

  - ### values

    public static VulkanDescriptorPoolCreateFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanDescriptorPoolCreateFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant